Bug 1649834 - The dhcp-introspection validation is looking up the dnsmasq_interface value in a deprecated section
Summary: The dhcp-introspection validation is looking up the dnsmasq_interface value i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-validations
Version: 14.0 (Rocky)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 14.0 (Rocky)
Assignee: Gaël Chamoulaud
QA Contact: Andrey Fiodorov
URL:
Whiteboard:
Depends On: 1655491
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-14 15:31 UTC by Gaël Chamoulaud
Modified: 2019-01-11 11:54 UTC (History)
6 users (show)

Fixed In Version: openstack-tripleo-validations-9.3.1-0.20181008110755.4064fb7.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-11 11:54:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 617925 None None None 2018-11-14 15:31:55 UTC
OpenStack gerrit 618985 None None None 2018-11-20 10:53:37 UTC
Red Hat Product Errata RHEA-2019:0045 None None None 2019-01-11 11:54:58 UTC

Description Gaël Chamoulaud 2018-11-14 15:31:56 UTC
This validation is trying to get the dnsmasq_interface in the 'firewall' section of the ironic inspector config file (inspector.conf). but the ironic-inspection firewall specific configuration options were moved from the ``firewall`` to the ``iptables`` group. All options in the ``firewall`` group are now deprecated.

Then this validation should look up this variable in the iptables section instead of firewall section.

Comment 8 Udi 2018-11-30 16:15:47 UTC
Tested in 2018-11-29.3:

Task 'Look up the introspection interface' failed:
Host: undercloud
Message: Could not open the ini file: '/var/lib/config-data/ironic_inspector/puppet-generated/etc/ironic-inspector/inspector.conf'

Failure! The validation failed for all hosts:
* undercloud


The correct path to the ini file is /var/lib/config-data/puppet-generated/ironic_inspector/etc/ironic-inspector/inspector.conf, but it still failed when I fixed it (probably permissions problems to open the file).

Comment 12 Andrey Fiodorov 2018-12-13 07:55:56 UTC
Verified.

[stack@undercloud-0 ~]$ rpm -q openstack-tripleo-validations
openstack-tripleo-validations-9.3.1-0.20181008110756.4064fb7.el7ost.noarch

[stack@undercloud-0 ~]$ rpm -q openstack-tripleo-heat-templates
openstack-tripleo-heat-templates-9.0.1-0.20181013060903.el7ost.noarch

Comment 14 errata-xmlrpc 2019-01-11 11:54:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:0045


Note You need to log in before you can comment on or make changes to this bug.